%define majver %(echo %version | cut -d. -f1-2)

Name:          kmediaplayer
Version:       5.53.0
Release:       1mamba
Summary:       KDE Frameworks 5 media player framework
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
## GITSOURCE https://anongit.kde.org/kmediaplayer.git v5.49.0
Source:        https://anongit.kde.org/kmediaplayer.git/v%{version}/kmediaplayer-%{version}.tar.bz2
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 media player framework.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 media player framework

%description -n lib%{name}
KDE Frameworks 5 media player framework
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5MediaPlayer.so.*
%{_datadir}/dbus-1/interfaces/kf5_org.kde.KMediaPlayer.xml
%{_kde5_servicetypesdir}/kmediaplayer.desktop
%{_kde5_servicetypesdir}/kmediaplayerengine.desktop
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KMediaPlayer
%{_kde5_includedir}/KMediaPlayer/*
%{_kde5_includedir}/kmediaplayer_version.h
%dir %{_kde5_libdir}/cmake/KF5MediaPlayer
%{_kde5_libdir}/cmake/KF5MediaPlayer/KF5MediaPlayer*.cmake
%{_kde5_libdir}/libKF5MediaPlayer.so

%changelog
* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Fri Sep 07 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.49.0-1mamba
- package created using the webbuild interface
